com.google.gwt.event.dom.client

## Class ChangeEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<H>
    - - com.google.gwt.event.dom.client.DomEvent<ChangeHandler>
      - - com.google.gwt.event.dom.client.ChangeEvent

- All Implemented Interfaces:
    HasNativeEvent

      public class ChangeEvent
      extends DomEvent<ChangeHandler>

  Represents a native change event.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.dom.client.DomEvent

      `DomEvent.Type<H extends EventHandler>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ChangeEvent()` Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire change events.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(ChangeHandler handler)` Should only be called by `HandlerManager`.
    `DomEvent.Type<ChangeHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
    `static DomEvent.Type<ChangeHandler>` | `getType()` Gets the event type associated with change events.

    - ### Methods inherited from class com.google.gwt.event.dom.client.DomEvent

      `fireNativeEvent, fireNativeEvent, getNativeEvent, getRelativeElement, init, preventDefault, setNativeEvent, setRelativeElement, stopPropagation`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeEvent

          protected ChangeEvent()

      Protected constructor, use `DomEvent.fireNativeEvent(com.google.gwt.dom.client.NativeEvent, com.google.gwt.event.shared.HasHandlers)` to fire change events.

  - ### Method Detail

    - #### getType

          public static DomEvent.Type<ChangeHandler> getType()

      Gets the event type associated with change events.
      Returns:
        the handler type

    - #### getAssociatedType

          public final DomEvent.Type<ChangeHandler> getAssociatedType()

      Description copied from class: `Event`
      Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
      Specified by:
        `getAssociatedType` in class `DomEvent<ChangeHandler>`
      Returns:
        the type

    - #### dispatch

          protected void dispatch(ChangeHandler handler)

      Description copied from class: `GwtEvent`
      Should only be called by `HandlerManager`. In other words, do not use or call.
      Specified by:
        `dispatch` in class `GwtEvent<ChangeHandler>`
      Parameters:
        `handler` - handler
      See Also:
        `EventBus.dispatchEvent(Event, Object)`